from django.db import models

class Settings(models.Model):
    """
    Stores a single settings entry
    """
    key = models.CharField(max_length=100)
    value = models.IntegerField(default=0)

class SettingsTranslations(models.Model):
    """
    Stores a single translation entry for setting
    """
    setting = models.OneToOneField(Settings, on_delete=models.CASCADE, related_name="setting")
    text_translation = models.CharField(max_length=200)





